Subject: Re: [Ecrit] [Fwd: New Version Notification for draft-barnes-ecrit-rough-loc-00]

From: "Karl Heinz Wolf" <[email-masked]>
Date: Wed, 26 Mar 2008 09:51:41 +0100

Hi Richard,

I read your draft and I have a question on section 4.1.: If I
understand you correctly, a client using HELD would perform a HELD
request, and would get back location by value and by reference at
once. The value is imprecise, the reference can be dereferenced to
precise location by the PSAP.
What if the HELD request is with locationtype civic and exact=true ?
The LIS is not allowed to hand out a URI any more, and the client
cannot know that the value it gets is imprecise. Or would you suggest
that this type of query fails, and the client would have to request a
locationURI in a separate request, dereference the URI in the next
step to get imprecise location?

cheers
karl heinz

On Mon, Feb 18, 2008 at 4:47 PM, Richard Barnes <[email-masked]> wrote:
> We have posted a draft that explains how imprecise location can be used
>  for emergency context resolution within the ECRIT framework.
>  Specifically, we describe how a location provider can determine when a
>  position is sufficiently precise for emergency call routing, and how
>  emergency and non-emergency services are delivered in this context.
>
>  While this document may enable a solution to the location-hiding
>  problem, it can also be useful when a location provider is using
>  positioning mechanisms that are capable of returning location at various
>  granularities, with finer-grained location taking more time or resources
>  to compute.
>
>  --Richard
>
>
>
>  -------- Original Message --------
>  Subject: New Version Notification for draft-barnes-ecrit-rough-loc-00
>  Date: Mon, 18 Feb 2008 07:35:55 -0800 (PST)
>  From: IETF I-D Submission Tool <[email-masked]>
>  To: [email-masked]
>  CC: [email-masked]
>
>
>  A new version of I-D, draft-barnes-ecrit-rough-loc-00.txt has been
>  successfuly submitted by Richard Barnes and posted to the IETF repository.
>
>  Filename:        draft-barnes-ecrit-rough-loc
>  Revision:        00
>  Title:           Using Imprecise Location for Emergency Context Resolution
>  Creation_date:   2008-02-18
>  WG ID:           Independent Submission
>  Number_of_pages: 12
>
>  Abstract:
>  Emergency calling works best when precise location is available for
>  emergency call routing.  However, there are situations in which a
>  location provider is unable or unwilling to provide precise location,
>  yet still wishes to enable subscribers to make emergency calls.  This
>  document describes the level of location accuracy that providers must
>  provide to enable emergency call routing.  In addition, we descibe
>  how emergency services and non-emergency services can be invoked by
>  an endpoint that does not have access to its precise location.
>
>
>
>
>  The IETF Secretariat.
>
>
>
>
>
>  _______________________________________________
>  Ecrit mailing list
>  [email-masked]
>  http://www.ietf.org/mailman/listinfo/ecrit
>
_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit